# Uses of Interface
org.eclipse.mat.ui.snapshot.editor.ISnapshotEditorInput

Packages that use ISnapshotEditorInput
Package
Description
org.eclipse.mat.ui.snapshot.editor
Eclipse editor for everything to do with snapshots - user interface (not API).
org.eclipse.mat.ui.snapshot.views
The summary view of the snapshot and also all the messages - user interface (not API).

## Uses of ISnapshotEditorInput in org.eclipse.mat.ui.snapshot.editor

Methods in org.eclipse.mat.ui.snapshot.editor that return ISnapshotEditorInput
Modifier and Type
Method
Description
`ISnapshotEditorInput`
HeapEditor.`getSnapshotInput()`
`ISnapshotEditorInput`
HeapEditorPane.`getSnapshotInput()`

## Uses of ISnapshotEditorInput in org.eclipse.mat.ui.snapshot.views

Constructors in org.eclipse.mat.ui.snapshot.views with parameters of type ISnapshotEditorInput
Modifier
Constructor
Description
``
`HeapEditorOutlinePage(ISnapshotEditorInput input)`